package state51::Job::FixBrokenFile::Action::FileTransform;
use state51::Moose;

with qw/ state51::Job::FixBrokenFile::Action /;

has filetransform => (
    isa => 'state51::FileTransform',
    is => 'ro',
    required => 1,
);

sub requests {
    my ($self) = @_;
    return $self->filetransform->to_fulfil ? $self->filetransform->to_fulfil : ();
}

__PACKAGE__->meta->make_immutable;
1;

