package state51::Job::FixMogileReleaseFormatFiles;
use state51::Moose;
use MooseX::Storage;
with Storage (format => "JSON");

use MooseX::Types::Moose qw/ Int /;
use state51::Logger;

use state51::FixMogile::ReleaseFormatFiles;

extends 'state51::Job';

has releaseformat_id => (
    isa => Int,
    is => 'ro',
    required => 1,
);

method run() {
    state51::FixMogile::ReleaseFormatFiles->fix_mogile($self->releaseformat_id);
}


with qw/
    state51::Mixin::Loggable
/;

__PACKAGE__->meta->make_immutable;
1;

